package domain

type AlibabaHmMarketingItemdiscountAdditemLimitInfo struct {
	/*
	   活动每日总限购 defalutValue:-1    */
	DailyLimitCnt *int64 `json:"daily_limit_cnt,omitempty" `

	/*
	   每人每日限购 defalutValue:-1    */
	UserDailyLimitCnt *int64 `json:"user_daily_limit_cnt,omitempty" `

	/*
	   每人活动期间总限购 defalutValue:-1    */
	UserLimitCnt *int64 `json:"user_limit_cnt,omitempty" `

	/*
	   活动期间总限购 defalutValue:-1    */
	TotalLimitCnt *int64 `json:"total_limit_cnt,omitempty" `

	/*
	   活动每日总限购（非标小数） defalutValue:-1    */
	DailyLimitCntDouble *string `json:"daily_limit_cnt_double,omitempty" `

	/*
	   每人每日限购（非标小数） defalutValue:-1    */
	UserDailyLimitCntDouble *string `json:"user_daily_limit_cnt_double,omitempty" `

	/*
	   每人活动期间总限购（非标小数） defalutValue:-1    */
	UserLimitCntDouble *string `json:"user_limit_cnt_double,omitempty" `

	/*
	   活动期间总限购（非标小数） defalutValue:-1    */
	TotalLimitCntDouble *string `json:"total_limit_cnt_double,omitempty" `
}

func (s *AlibabaHmMarketingItemdiscountAdditemLimitInfo) SetDailyLimitCnt(v int64) *AlibabaHmMarketingItemdiscountAdditemLimitInfo {
	s.DailyLimitCnt = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountAdditemLimitInfo) SetUserDailyLimitCnt(v int64) *AlibabaHmMarketingItemdiscountAdditemLimitInfo {
	s.UserDailyLimitCnt = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountAdditemLimitInfo) SetUserLimitCnt(v int64) *AlibabaHmMarketingItemdiscountAdditemLimitInfo {
	s.UserLimitCnt = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountAdditemLimitInfo) SetTotalLimitCnt(v int64) *AlibabaHmMarketingItemdiscountAdditemLimitInfo {
	s.TotalLimitCnt = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountAdditemLimitInfo) SetDailyLimitCntDouble(v string) *AlibabaHmMarketingItemdiscountAdditemLimitInfo {
	s.DailyLimitCntDouble = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountAdditemLimitInfo) SetUserDailyLimitCntDouble(v string) *AlibabaHmMarketingItemdiscountAdditemLimitInfo {
	s.UserDailyLimitCntDouble = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountAdditemLimitInfo) SetUserLimitCntDouble(v string) *AlibabaHmMarketingItemdiscountAdditemLimitInfo {
	s.UserLimitCntDouble = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountAdditemLimitInfo) SetTotalLimitCntDouble(v string) *AlibabaHmMarketingItemdiscountAdditemLimitInfo {
	s.TotalLimitCntDouble = &v
	return s
}
